﻿/*.dropdown-x .dropdown-menu > li > a {
    color: #dadada !important;
}

.btn-group .dropdown-x .dropdown-menu {
    background-color: #3a3838 !important;
}

.dropdown-x .dropdown-menu li.divider {
    background: #7d7d7d !important;
}

.dropdown-x .dropdown-menu > li > a:hover, .dropdown-x .dropdown-menu > li > a:focus {
    color: #fff !important;
    background-color: #615d5d !important;
}

.dropdown-x > .dropdown-menu:after, .dropdown-toggle > .dropdown-x .dropdown-menu:after, .btn-group > .dropdown-x .dropdown-menu:after {
    position: absolute !important;
    top: -7px;
    left: 10px;
    right: auto;
    display: inline-block !important;
    border-right: 7px solid transparent;
    border-bottom: 7px solid #393938;
    border-left: 7px solid transparent;
    content: '';
}*/

.form-control {
    color: #000 !important;
}

.blockOverlay {
    position: fixed !important;
    top: 0px !important;
    bottom: 0px !important;
    left: 0px !important;
    right: 0px !important;
}

.tt-menu {
    /*width: 400px !important*/
}

input[type=text].error {
    background-color: rgb(251, 163, 213);
    border-color: rgb(245, 86, 86);
}


.modal {
    z-index:2000 !important
}



.modal-backdrop {
    z-index:1999 !important
}

.swal2-container {
    z-index: 3000 !important
}

.s1i {
    color: #688A08 !important
}

.s2i {
    color: #DBA901 !important
}


.s3i {
    color: #01A9DB !important
}


.s4i {
    color: #BF00FF !important
}


.s5i {
    color: #FA8258 !important
}


.s6i {
    color: #848484 !important
}


.s7i {
    color: #FE2E64 !important
}

.s1 {
    background-color: #688A08
}

.s2 {
    background-color: #DBA901
}


.s3 {
    background-color: #01A9DB
}


.s4 {
    background-color: #BF00FF
}


.s5 {
    background-color: #FA8258
}


.s6 {
    background-color: #848484
}


.s7 {
    background-color: #FE2E64
}


.bn
{
    border :0
}

.input-2
{
    color:#fff;
    font-weight:600
}

.input-in-td
{
    height:24px;
    padding: 0px 6px;
    margin:0px;
    border:0;
}


.c-other1, .c-other2 {
    line-height: 24px !important;
    font-size: 11px;
    cursor: pointer !important;
    color: #ccc;
    opacity:0.8;
    -o-transition:.5s;
    -ms-transition:.5s;
    -moz-transition:.5s;
    -webkit-transition:.5s;
    /* ...and now for the proper property */
    transition:.5s;
}

    .c-other1:hover, .c-other2:hover {
        opacity:1;
        -o-transition:.5s;
        -ms-transition:.5s;
        -moz-transition:.5s;
        -webkit-transition:.5s;
        /* ...and now for the proper property */
        transition:.5s;
    }



[data-entity=c-other1-on], [data-entity=c-other2-on] {
    display: none;
}

.cw
{
    background-color:#fff
}

.td-group {
    background-color: #22313F;
}

.table thead.sm tr th {
    font-weight: 700;
    font-size: 11px;
}


.page-header .top-menu {
    padding-right:9px
}

.page-header {
    background-color: #fff
}


.table > tbody > tr > td {
    vertical-align:middle
}

.table thead th label {
    font-size: 11px;
    font-weight: 700 !important
}

.bs-select {
    font-size: 12px;
    width: 100%;
}

.flag-custom {
    width:100%;
    text-align:left
}

    .flag-custom .caret 
    {
        float:right;
        margin-left: 10px;
        display: block;
        margin-top: 8px;
    }
    
    .bootstrap-select .dropdown-menu {
        font-family: 'Prompt'
    }
/* fix jQuery.Thailand.js Background of type head is transparemnt*/
.tt-input {
    background-color: #fff !important;
}

.daterangepicker {
    font-family: 'Prompt' !important;
}

.num {
    font-family: consolas,'Prompt' !important;
}


.num-b {
    font-weight:400 !important;
}
.page-container{
    display:none;
}

.b
{
    font-weight: 400;
}

/* BEGIN : WebKit Scrollbar */
::-webkit-scrollbar {
    background: #666;
    overflow: visible;
    -webkit-transition: all .218s;
    -moz-transition: all .218s;
    -o-transition: all .218s;
    transition: all .218s;
    width: 8px;
    height: 8px;
}

    ::-webkit-scrollbar:hover {
        background-color: #666;
    }


::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.2);
    border: solid white;
    border-width: 0;
    height: 50px;
    background-color: #aaa;
}

    ::-webkit-scrollbar-thumb:hover {
        background-color: #f9831e;
    }

    ::-webkit-scrollbar-thumb:active {
        background-color: #f9831e;
    }





/* END : WebKit Scrollbar */




select {
    font-family: 'FontAwesome', 'Prompt' !important;
}


/* BEGIN : Fix Quotation */

tr[item-type=service], tr[item-type=spare-part]{
    background-color:#fff !important;
    color:#000 !important
}

tr[item-type=service] td, tr[item-type=spare-part] td {
    padding:4px 8px !important;
    vertical-align: middle;
  font-weight:400 !important;
  vertical-align:middle !important
      
}

.table-bordered > thead > tr[item-type] > td, .table-bordered > thead > tr[item-type] > th {
    border-bottom-width: 1px
}

/* END : Fix Quotation */



.page-name, .caption {
    text-transform: uppercase !important;
}


.bootstrap-table 
{margin-top: -20px; padding: 0 }

thead {
    font-weight: 400;
    color: #414141;
    background-color: #f5f8fd;
}

.table .btn
{
    margin:0
}

.fix-fa {
    line-height: 17px !important;
}
.fix-grp
{
    height:34px !important;
}

.swal2-content {
    font-family: Prompt !important
}

.mark, mark {
    background-color: #f9e491 !important;
    padding: 0 !important;
}

.search-info {
    position: fixed;
    top: 57px;
    text-align: center;
    width: 100%;
    display: none;
    z-index: 10000;
}

    .search-info > span {
        background-color: #ffcc00;
        -ms-border-radius: 25px !important;
        border-radius: 25px !important;
        padding: 1px 8px;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }

button[class^=swal2] {
    font-family: 'Prompt' !important
}
tfoot .help-block {
    margin: 0 !important
}

.vm td
{
   vertical-align: middle !important
}

.zero {
    margin: 0 !important;
    padding: 0 !important;
}

.all-zero {
    margin: 0 !important;
    padding: 0 !important;
    border: 0 !important;
}

.page-header .burger-trigger .menu-overlay-bg-transparent.menu-overlay-show ~ .menu-bg-overlay {
    background: rgb(103, 99, 93) !important;
}



.w80
{
    width:80% !important;
}

ul.c-menu {
    padding-left: 0;
    font-family: 'Prompt';
}



ul.c-menu .selected {
    border: dashed 1px #E91E63;
}


    ul.c-menu li.item {
        list-style: none;
        font-weight: 500;
        padding-right: 0;
        text-transform: uppercase;
    }

    ul.c-menu li.item a i {
        padding-right: 22px;
    }

#menu {
    font-family: 'Prompt';
}


ul.c-menu li.item ul
{
    list-style: none;
    font-weight:400;
    padding-left:12px;
    width:100%;
}

ul.c-menu li.item a
{
    color:#000;
    padding:0px;
    display:block;
}

    ul.c-menu li.item a:hover {
        color: #fff;
        text-decoration: none;
        background-color: #22313F;
        font-weight: 500;
        -ms-border-radius: 8px;
        border-radius: 8px;
        padding-left: 20px;
        -webkit-transition: .5s all;
        -moz-transition: .5s all;
        -ms-transition: .5s all;
        -o-transition: .5s all;
        transition: .5s all;
    }

[data-ui=show-on-load-completed]
{
    display:none;
}

.custom-loading {
    background-image: url('../img/ajboggs-loading.gif');
    background-repeat: no-repeat;
    background-position: center center;
    height: 200px;
}

.margin-padding-0 {
    margin: 0 !important;
    padding: 0 !important;
}

.page-container-bg-solid
{
    background:#fff !important;
}

.page-name {
    padding: 4px !important;
    background-color: #525E64;
    color:#fff;
    text-align:center;
    display:none;
}

.swal2-icon {
    border-radius: 50% !important;
}

[data-mode=single] {
display:none;
}

.no-scroll-x {
    overflow-x: hidden;
}

.bl {
    border-left: 4px solid #ccc;
}

.t
{
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 11111111111111111111;
    height: 2px;
    background: #27c4f5 -webkit-linear-gradient(left,#27c4f5,#a307ba,#fd8d32,#70c050,#27c4f5);
    background: #27c4f5 linear-gradient(to right,#27c4f5,#a307ba,#fd8d32,#70c050,#27c4f5);
    background-size: 500%;
    -webkit-animation: 5s linear infinite barprogress,5.3s fadein;
    animation: 5s linear infinite barprogress,5.3s fadein ;
    width: 100%;
    margin: 0;
    padding: 0;
    border: 0;
    font: inherit;
    vertical-align: baseline;

}

@-webkit-keyframes barprogress {
    0% {
        background-position: 0% 0
    }

    to {
        background-position: 125% 0
    }
}

@keyframes barprogress {
    0% {
        background-position: 0% 0
    }

    to {
        background-position: 125% 0
    }
}

@-webkit-keyframes fadein {
    0% {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

@keyframes fadein {
    0% {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

.daterangepicker select.monthselect {
    margin-right: 2%;
    width: 56%;
    height: 25px !important;
    cursor: pointer;
}

.daterangepicker select.yearselect {
    width: 40%;
    height: 25px !important;
    cursor: pointer;
}


.mt-radio > span, .mt-checkbox > span {
    border: 1px solid transparent;
    position: absolute;
    top: 1px;
    left: 0;
    height: 18px;
    width: 18px;
    background: #ffffff !important;
    border: solid 2px #000 !important;
}